/*PRELANDER.PRO*/

:root {
  /*PAGE*/
  --bg: url(in_css_7aec2c093ccffe458cc07346a7ca7532.static.png);
  --bg-m: url(in_css_0a501d90dca0e0040f6aef08509fcb3a.static.jpeg);
  --button: url(in_css_3a655f8bd1dedc6aa82414a9f42ac8a7.static.png);

  /*STYLING*/
  --font-color: #ffffff;
  --font-color-dark: #330000;
  --font-color-grey: #666;
  --font-color-dark-grey: #333;
  --text-shadow: 0px 3px 3px black;
  --font-color-bonus: #ffe391;
  --font-glow: #ed00ff;
  --border-color: #dea303;
  --font-family: 'Roboto', sans-serif;
  --gold-two: #fcc201;
  --gold-one: #dba514;
  --background-color: #ebebebd1;
  --background-color-darker: #ebebebd6;

  /*SYMBOLS*/
  --a-bg: url(in_css_87da548f475ff41851a17f1c92efbc50.static.png);
  --b-bg: url(in_css_c70d53ec3beb90b1675ca4520a8ba168.static.png);
  --c-bg: url(in_css_18bbed49a333d7025a563b1af05f01b1.static.png);
  --d-bg: url(in_css_86d16929e43bc79032d0c3b728c69622.static.png);
  --e-bg: url(in_css_64c11bce0806f9d35f6ce8b42aedfc89.static.png);
  --f-bg: url(in_css_28a1c0e8d4c50bd1053564725d3c5cb9.static.png);
  --g-bg: url(in_css_08db841069f12f90c2b7efc96b3215e6.static.png);
  --h-bg: url(in_css_5718768772620835752a093cbd4caf46.static.png);
  --shine: url(in_css_e1ca1864921addacd1cc483fca46be67.static.png);
  --coin: url(in_css_1f1dd486366f5febf10b7e1d0d439141.static.png);

  /*MACHINE*/
  --reel-bg: url(in_css_350987a9d9d7c3456abba884e0987206.static.png);
  --reel-grid: url(../images/reel_grid.png);
  --win-bg: url(in_css_bad8bfec5ef82bfa4f9f426d84505452.static.png);

  /*CHEST & BONUS*/
  --chest-1: url(in_css_5d9b017b2fedb7cbae0d710909dec3ce.static.png);
  --chest-2: url(in_css_65185d568df5e483cc6237c8216a4776.static.png);
  --chest-3: url(in_css_38ccf7c0617edaefef1654908e74431c.static.png);
  --chest-4: url(in_css_ed44105cc1d378ffa3b76247b0e734d8.static.png);
  --chest-5: url(in_css_9fd580c4633189dd63cac465fe37441d.static.png);
  --chest-6: url(./t6.png);

  --bonus: url(in_css_d095b933b37562434c8277a0b6101967.static.png);
  --balance: url(in_css_aeb5d00fc37ea26585cddaedd6abd7aa.static.png);
}

body {
  background-image: var(--bg);
  background-size: cover;
  background-position: center top;
  background-repeat: no-repeat;
  background-color: #040914;
  margin: 0;
  padding: 0;
  font-family: var(--font-family);
  overflow: hidden;
}

.container {
  width: 570px;
  height: 450px;

  max-width: 90%;
  max-height: 54.5vw;

  margin: 0 auto;
  display: flex;
  align-items: stretch;
  position: relative;
  overflow: hidden;
}
.header {
  width: 750px;
  max-width: 100%;
  text-align: center;
  margin: 12px auto 60px;
}
.counter {
  height: auto;
  max-height: fit-content;
  width: 550px;
  max-width: 100%;
  justify-content: space-between;
  margin: 0 auto;
  display: flex;
  align-items: stretch;
  position: relative;
  overflow: visible;
}
.header h1 {
  color: var(--font-color);
  font-size: 28px;
  text-shadow: var(--font-glow) 2px 0px 3px, var(--font-glow) 1px 1px 20px;
  margin-bottom: 10px;
}

.header h2 {
  margin-top: 0;
  color: var(--font-color);
  font-size: 26px;
  text-shadow: var(--font-glow) 2px 0px 3px, var(--font-glow) 1px 1px 20px;
}

.bonustext {
  /* background: var(--bonus); */
  background-position: right center;
  width: 25%;
}
.state1 {
  background: var(--chest-1);
  animation-name: chestanim;
  animation-duration: 1.6s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
.state2 {
  background: var(--chest-2);
  animation-name: chestanim2;
  animation-duration: 0.6s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
.state3 {
  background: var(--chest-3);
  animation-name: chestanim3;
  animation-duration: 0.6s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
.state4 {
  background: var(--chest-4);
  animation-name: chestanim4;
  animation-duration: 0.6s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
.state5 {
  background: var(--chest-5);
  animation-name: chestanim5;
  animation-duration: 0.6s;
  animation-timing-function: ease-in-out;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
}
@keyframes chestanim {
  0% {
    width: 15%;
    margin-top: -25px;
    margin-bottom: -40px;
  }

  90% {
    width: 20%;
    margin-top: -45px;
    margin-bottom: -45px;
  }
  100% {
    width: 15%;
    margin-top: -25px;
    margin-bottom: -40px;
  }
}
@keyframes chestanim2 {
  0% {
    width: 15%;
    margin-top: -25px;
    margin-bottom: -40px;
  }

  90% {
    width: 20%;
    margin-top: -45px;
    margin-bottom: -45px;
  }
  100% {
    width: 15%;
    margin-top: -25px;
    margin-bottom: -40px;
  }
}
@keyframes chestanim3 {
  0% {
    width: 15%;
    margin-top: -25px;
    margin-bottom: -40px;
  }

  90% {
    width: 20%;
    margin-top: -45px;
    margin-bottom: -45px;
  }
  100% {
    width: 15%;
    margin-top: -25px;
    margin-bottom: -40px;
  }
}
@keyframes chestanim4 {
  0% {
    width: 15%;
    margin-top: -25px;
    margin-bottom: -40px;
  }

  90% {
    width: 20%;
    margin-top: -45px;
    margin-bottom: -45px;
  }
  100% {
    width: 15%;
    margin-top: -25px;
    margin-bottom: -40px;
  }
}

@keyframes chestanim5 {
  0% {
    width: 15%;
    margin-top: -25px;
    margin-bottom: -40px;
  }

  100% {
    width: 20%;
    margin-top: -45px;
    margin-bottom: -75px;
  }
}

.chest {
  background-position: left center;
  width: 15%;
  margin-top: -25px;
  padding: 25px;
  margin-bottom: -15px;
  z-index: 255;
  transition: background 1s;
}

.balance {
  background: var(--balance);
  background-position: center center;
  width: 15%;
  padding: 14px 30px;
  text-align: center;
  font-weight: 700;
  font-size: 30px;
  color: var(--font-color-bonus);
  text-shadow: 1px 1px 2px var(--font-color-dark);
}

.bonustext,
.chest,
.balance {
  height: auto;
  background-size: contain;
  background-repeat: no-repeat;
}

#cola,
#colb,
#colc,
#cold,
#cole {
  width: 20%;
  margin: 0;
  display: flex;
  flex-wrap: wrap;
  align-self: flex-end;
}

.a {
  background: var(--a-bg);
}

.b {
  background: var(--b-bg);
}

.c {
  background: var(--c-bg);
}

.d {
  background: var(--d-bg);
}

.e {
  background: var(--e-bg);
}

.f {
  background: var(--f-bg);
}

.g {
  background: var(--g-bg);
}

.h {
  background: var(--h-bg);
}

.symbol {
  background-size: 60% 60%;
  background-position: center center;
  background-repeat: no-repeat;
  width: 100%;
  padding-top: 100%;
  align-self: flex-end;
  display: block;
  position: relative;
}

.tease::before {
  content: '';
  position: absolute;
  top: -20%;
  right: -20%;
  bottom: -20%;
  left: -20%;
  background: var(--shine);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  width: 140%;
  padding-top: 140%;
  animation-name: spin2;
  animation-duration: 1.6s;
  animation-timing-function: linear;
  animation-fill-mode: none;
  animation-iteration-count: infinite;
  z-index: -1;
}

.twist::before {
  content: '';
  position: absolute;
  top: -20%;
  right: -20%;
  bottom: -20%;
  left: -20%;
  background: var(--shine);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  width: 140%;
  padding-top: 140%;
  animation-name: spin;
  animation-duration: 1.6s;
  animation-timing-function: linear;
  animation-iteration-count: 1;
  animation-fill-mode: forwards;
  z-index: -1;
}
@keyframes spin2 {
  0% {
    transform: rotate(0deg);
    scale: 1;
    opacity: 0;
  }
  50% {
    transform: rotate(180deg);
    scale: 1.2;
    opacity: 0.6;
  }

  100% {
    transform: rotate(360deg);
    scale: 1;
    opacity: 0;
  }
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
    scale: 1;
    opacity: 0;
  }
  50% {
    transform: rotate(180deg);
    scale: 1.2;
    opacity: 0.6;
  }

  100% {
    transform: rotate(360deg);
    scale: 1;
    opacity: 0;
  }
}

.coin {
  content: '';
  position: absolute;
  right: 30%;
  width: 5%;
  padding-top: 5%;
  background: var(--coin);
  background-size: cover;
  background-repeat: no-repeat;
  position: absolute;
  z-index: 223;
  display: none;
}

/*BOTTOM WIN*/
#cola.spin2 .coin {
  animation: flipper 1s steps(17) infinite, colacoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#colb.spin2 .coin {
  animation: flipper 0.6s steps(17) infinite, colbcoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#colc.spin2 .coin {
  animation: flipper 0.6s steps(17) infinite, colccoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#cold.spin2 .coin {
  animation: flipper 0.6s steps(17) infinite, coldcoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#cole.spin2 .coin {
  animation: flipper 0.6s steps(17) infinite, colecoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

@keyframes colacoin {
  0% {
    top: 82%;
    left: 5%;
  }

  100% {
    top: -5%;
    left: 47.5%;
  }
}

@keyframes colbcoin {
  0% {
    top: 82%;
    left: 28%;
  }

  100% {
    top: -5%;
    left: 47.5%;
  }
}

@keyframes colccoin {
  0% {
    top: 82%;
    left: 48%;
  }

  100% {
    top: -5%;
    left: 47.5%;
  }
}
@keyframes coldcoin {
  0% {
    top: 82%;
    right: 28%;
  }
  60% {
    right: 33%;
  }
  100% {
    top: -5%;
    right: 47.5%;
  }
}
@keyframes colecoin {
  0% {
    top: 82%;
    right: 5%;
  }

  100% {
    top: -5%;
    right: 47.5%;
  }
}

/*MIDDLE WIN*/
#cola.spin1 .coin {
  animation: flipper 1s steps(17) infinite, s2colacoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#colb.spin1 .coin {
  animation: flipper 0.6s steps(17) infinite, s2colbcoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#colc.spin1 .coin {
  animation: flipper 0.6s steps(17) infinite, s2colccoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#cold.spin1 .coin {
  animation: flipper 0.6s steps(17) infinite, s2coldcoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#cole.spin1 .coin {
  animation: flipper 0.6s steps(17) infinite, s2colecoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}
@keyframes s2colacoin {
  0% {
    top: 50%;
    left: 5%;
  }

  100% {
    top: -5%;
    left: 47.5%;
  }
}

@keyframes s2colbcoin {
  0% {
    top: 50%;
    left: 28%;
  }

  100% {
    top: -5%;
    left: 47.5%;
  }
}

@keyframes s2colccoin {
  0% {
    top: 50%;
    left: 48%;
  }

  100% {
    top: -5%;
    left: 47.5%;
  }
}
@keyframes s2coldcoin {
  0% {
    top: 50%;
    right: 28%;
  }
  60% {
    right: 33%;
  }
  100% {
    top: -5%;
    right: 47.5%;
  }
}
@keyframes s2colecoin {
  0% {
    top: 50%;
    right: 5%;
  }

  100% {
    top: -5%;
    right: 47.5%;
  }
}

/*BBMTT WIN*/
#cola.spin4 .coin {
  animation: flipper 1s steps(17) infinite, s3colacoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#colb.spin4 .coin {
  animation: flipper 0.6s steps(17) infinite, s3colbcoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#colc.spin4 .coin {
  animation: flipper 0.6s steps(17) infinite, s3colccoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#cold.spin4 .coin {
  animation: flipper 0.6s steps(17) infinite, s3coldcoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#cole.spin4 .coin {
  animation: flipper 0.6s steps(17) infinite, s3colecoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

@keyframes s3colacoin {
  0% {
    top: 82%;
    left: 5%;
  }

  100% {
    top: -5%;
    left: 47.5%;
  }
}

@keyframes s3colbcoin {
  0% {
    top: 82%;
    left: 28%;
  }

  100% {
    top: -5%;
    left: 47.5%;
  }
}

@keyframes s3colccoin {
  0% {
    top: 50%;
    left: 48%;
  }

  100% {
    top: -5%;
    left: 47.5%;
  }
}
@keyframes s3coldcoin {
  0% {
    top: 10%;
    right: 28%;
  }
  60% {
    right: 33%;
  }
  100% {
    top: -5%;
    right: 47.5%;
  }
}
@keyframes s3colecoin {
  0% {
    top: 10%;
    right: 5%;
  }

  100% {
    top: -5%;
    right: 47.5%;
  }
}

/*FINAL WIN*/
#cola.spin5 .coin {
  animation: flipper 1s steps(17) infinite, s4colacoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#colb.spin5 .coin {
  animation: flipper 0.6s steps(17) infinite, s4colbcoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#colc.spin5 .coin {
  animation: flipper 0.6s steps(17) infinite, s4colccoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#cold.spin5 .coin {
  animation: flipper 0.6s steps(17) infinite, s4coldcoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

#cole.spin5 .coin {
  animation: flipper 0.6s steps(17) infinite, s4colecoin 0.6s ease-out infinite;
  animation-play-state: running, running;
}

@keyframes s4colacoin {
  0% {
    top: 10%;
    left: 5%;
  }

  100% {
    top: -5%;
    left: 47.5%;
  }
}

@keyframes s4colbcoin {
  0% {
    top: 10%;
    left: 28%;
  }

  100% {
    top: -5%;
    left: 47.5%;
  }
}

@keyframes s4colccoin {
  0% {
    top: 10%;
    left: 48%;
  }

  100% {
    top: -5%;
    left: 47.5%;
  }
}
@keyframes s4coldcoin {
  0% {
    top: 10%;
    right: 28%;
  }
  60% {
    right: 33%;
  }
  100% {
    top: -5%;
    right: 47.5%;
  }
}
@keyframes s4colecoin {
  0% {
    top: 10%;
    right: 5%;
  }

  100% {
    top: -5%;
    right: 47.5%;
  }
}
/*
.twist::after {
    content: '';
    position: absolute;
    right: 30%;
    width: 40%;
    padding-top: 40%;
    background: var(--coin);
    background-size: cover;
    background-repeat: no-repeat;
    animation: flipper 0.2s steps(17) infinite, pan 0.4s ease-out 3 forwards;
    animation-play-state: running;
    position: absolute;
    z-index: 1;
}
*/

@keyframes flipper {
  0% {
    background-position: 0 0%;
  }

  100% {
    background-position: 100% 0;
  }
}

@keyframes pan {
  0% {
    top: 40%;
    opacity: 0;
  }
  20% {
    opacity: 1;
  }
  50% {
    opacity: 1;
  }

  100% {
    top: -30%;
    opacity: 0;
  }
}
.game::after {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  width: 100%;
  background: var(--reel-grid);
  background-size: 100% 100%;
  z-index: 100;
}

.game::before {
  content: '';
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  width: 100%;
  background: var(--reel-bg);
  background-size: 100% 100%;
  z-index: -1;
}

.game {
  z-index: 100;
}

.button {
  /* font-size: 25px;
  font-weight: 900;
  width: fit-content;
  margin: 0 auto;
  background: var(--button);
  background-size: cover;
  color: var(--font-color-dark);
  border-radius: 40px;
  border: var(--border-color) 1px solid;
  padding: 15px 25px; */
  text-align: center;
  margin-top: 20px;
  /* cursor: pointer;
  text-decoration: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  margin-top: 35px; */
  z-index: 102;
}

.terms {
  margin: 40px auto 0px auto;
  padding-top: 50px;
  padding-bottom: 10px;
  width: 100%;
  text-align: center;
  color: var(--font-color);
  font-weight: 400;
  font-size: 0.8em;
  opacity: 0.9;

  bottom: 0;
  z-index: -1;
  left: 0;
  right: 0;
  font-size: 0.7em;
  background: rgb(22, 10, 48);
  background: -moz-linear-gradient(
    0deg,
    rgba(22, 10, 48, 1) 20%,
    rgba(22, 10, 48, 0) 100%
  );
  background: -webkit-linear-gradient(
    0deg,
    rgba(22, 10, 48, 1) 20%,
    rgba(22, 10, 48, 0) 100%
  );
  background: linear-gradient(
    0deg,
    rgba(22, 10, 48, 1) 20%,
    rgba(22, 10, 48, 0) 100%
  );
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#160a30",endColorstr="#160a30",GradientType=1);
  text-shadow: var(--text-shadow);
}

.spin {
  opacity: 0.45;
  cursor: default;
}

.spin img {
  max-width: 160px;
}

.active {
  opacity: 1;
  -webkit-animation: pulsate2 1s ease-out;
  -webkit-animation-iteration-count: infinite;
  animation: pulsate2 1s ease-out;
  animation-iteration-count: infinite;
  cursor: pointer;
}

@keyframes pulsate2 {
  0% {
    transform: scale(1);
    /* box-shadow: inset var(--gold-two) 0px 0px 15px, var(--gold-two) 0px 0px 15px; */
  }

  50% {
    transform: scale(1.1);
    /* box-shadow: inset var(--gold-two) 0px 0px 15px, var(--gold-two) 0px 0px 30px; */
  }

  100% {
    transform: scale(1);
    /* box-shadow: inset var(--gold-two) 0px 0px 15px, var(--gold-two) 0px 0px 15px; */
  }
}

#win {
  display: none;
  position: absolute;
  margin: 0;
  flex-wrap: wrap;
  align-self: flex-start;
  text-align: center;
  color: var(--font-color);
  font-weight: bold;
  top: 0;
  right: 0%;
  left: 1%;
  bottom: 1%;
  padding: 6%;
  z-index: 260;
  background: var(--win-bg);
  background-size: 100% 100%;
}

#win img {
  max-width: 100%;
  height: auto;
}

#win img[src*='congrats'] {
  max-width: 460px;
}

.win_bonus {
  position: relative;
  top: 308px;
}

.win_grain img {
  max-width: 280px;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: 40px;
}

#win img[src*='win_bonus'] {
  max-width: 380px;
}

#win img[src*='claim'] {
  position: relative;
  bottom: -43px;
  max-width: 180px;
}

.product-button {
  width: 100%;
  height: 100%;
  display: block;
  position: relative;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  text-decoration: none;
}

#winamount,
#currency {
  color: var(--win-color);
  text-shadow: var(--text-shadow), var(--win-shadow);
}

/*CONTESTANT*/

.contestants {
  display: block;
  max-width: 100%;
  margin: 40px auto 0px auto;
  height: auto;
  top: 65%;
  position: relative;
  overflow: hidden;
  left: 0;
  right: 0;
  z-index: -22;
  bottom: 0;
}

.contestant {
  width: 90%;
  border-radius: 0.7rem;
  font-size: 1.4rem;
  max-width: 100%;
  margin: 0 auto;
  background: var(--background-color);
  background: -moz-linear-gradient(
    90deg,
    var(--background-color) 0%,
    var(--background-color-darker) 100%
  );
  background: -webkit-linear-gradient(
    90deg,
    var(--background-color) 0%,
    var(--background-color-darker) 100%
  );
  background: linear-gradient(
    90deg,
    var(--background-color) 0%,
    var(--background-color-darker) 100%
  );
  padding: 0.5rem;
  position: relative;
  height: fit-content;
  margin-bottom: 0.5rem;
  display: flex;
  flex-wrap: nowrap;
  justify-content: stretch;
  box-sizing: border-box;
}

.contestants h3 {
  font-size: 0.8rem;
  text-align: center;
  text-transform: uppercase;
  color: var(--font-color);
  letter-spacing: 0.4rem;
  margin: 1.2rem auto 1rem auto;
}

.contestant .item:first-child img {
  width: 100%;
}

.item {
  font-weight: bold;
  min-width: 40px;
}

.contestant .item:nth-child(2) {
  flex-grow: 1;
}

.contestant .item:first-child {
  overflow: hidden;
  display: inline-block;
  background: #174f51;
  padding: 0px;
  text-align: center;
  border-radius: 0.5rem;
  font-size: 2.2rem;
  margin-right: 10px;
  margin-left: -4px;
  margin-top: -4px;
  margin-bottom: -4px;
}

.contestant.active .item:first-child {
  display: inline-block;
  background: var(--gold-two) !important;
  text-align: center;
  border-radius: 1.5rem;
  font-size: 2.2rem;
}

.contestant .item:last-child {
  text-align: right;
  margin-left: 0.5rem;
  line-height: 2.1rem;
  font-size: 19px;
  margin-right: 2px;
  color: var(--font-color-dark-grey);
}

.contestant .bet {
  font-size: 1.6rem !important;
}

.name {
  display: inline-block;
  width: fit-content;
  vertical-align: super;
  font-weight: bold;
  font-size: 16px;
  margin-top: 2px;
}

.time {
  font-size: 12px;
  color: var(--font-color-grey);
  font-weight: 300;
}
.points {
  font-size: 1.8rem;
  padding: 1.5rem;
  font-weight: bold;
  display: inline-block;
  text-align: right;
  line-height: 2rem;
  order: 3;
}

.header img {
  max-width: 340px;
}

.header-logo {
  position: relative;
}

.header-logo img[src*='under'] {
  position: absolute;
  top: 45px;
  left: 50%;
  transform: translateX(-50%);
  z-index: -1;
}

.logo_wrapper {
  width: 240px;
  height: auto;
  position: fixed;
  top: 1rem;
  right: 1rem;
}

.logo_wrapper img {
  max-width: 100%;
  height: auto;
}

@media screen and (max-width: 1440px) {
  .header img {
    max-width: 180px;
  }
  .spin img {
    max-width: 130px;
  }
}

@media screen and (max-width: 1024px) {
  body {
    height: 100vh;
  }
  .logo_wrapper {
    max-width: 180px;
  }
  .spin img {
    max-width: 140px;
  }
}

@media screen and (max-width: 768px) {
  .logo_wrapper {
    width: 160px;
    height: auto;
    position: fixed;
    top: unset;
    right: 1rem;
    bottom: 2.5rem;
  }
}

@media screen and (max-width: 680px) {
  body {
    background-image: var(--bg-m);
  }
  .logo_wrapper {
    max-width: 120px;
  }
  .header img {
    max-width: 220px;
  }

  #win h2 {
    font-size: 16px;
  }
  #win h1 {
    font-size: 21px;
  }

  #win img[src*='congrats'] {
    max-width: 280px;
  }

  #win img[src*='win_bonus'] {
    max-width: 260px;
  }

  #win img[src*='claim'] {
    position: relative;
    bottom: 2px;
    max-width: 104px;
  }

  .win_bonus {
    bottom: 15px;
  }

  #logo {
    display: none;
  }

  .header h1 {
    color: var(--font-color);
    font-size: 20px;
    text-shadow: var(--font-glow) 2px 0px 3px, var(--font-glow) 1px 1px 20px;
    margin-bottom: 10px;
    padding-left: 5%;
    padding-right: 5%;
  }

  .header h2 {
    margin-top: 0;
    color: var(--font-color);
    font-size: 20px;
    text-shadow: var(--font-glow) 2px 0px 3px, var(--font-glow) 1px 1px 20px;
  }
  .button {
    margin-top: 24px;
    font-size: 18px;
  }
  .balance {
    font-size: 20px;
  }
  .contestants {
    top: 0%;
  }
  .terms {
    font-size: 0.7em;
  }

  .logo_wrapper {
    width: 160px;
    height: auto;
    position: fixed;
    top: unset;
    right: 50%;
    transform: translateX(50%);
  }

  .logo_wrapper img {
    max-width: 100%;
    height: auto;
  }
}

/* Custom */
.container.game {
  padding-top: 48px;
}
.game-inner {
  width: 520px;
  height: 415px;
  max-width: 90%;
  max-height: 54.5vw;
  margin: 0 auto;
  display: flex;
  align-items: stretch;
  position: relative;
  overflow: hidden;
}

.win-wrapper {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 999;
}
.win-wrapper .overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.75);
}
.win-wrapper #win {
  max-width: 450px;
  width: 100%;
  min-height: 1px;
  height: 500px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  padding: 0;
}
footer {
  position: fixed;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: #040914;
  padding: 4px 12px;
}
footer p {
  font-size: clamp(10px, 2.5vw, 12px);
  text-align: center;
  margin: 0;
  padding: 0;
  color: #ddd;
}
@media screen and (max-width: 768px) {
  .game-inner {
    width: 560px;
    height: 385px;
  }
}
@media screen and (max-width: 576px) {
  .container.game {
    padding-top: 30px;
    padding-bottom: 25px;
  }
  .game-inner {
    width: 350px;
    height: 235px;
  }
  body {
    background-size: auto;
    overflow-y: unset;
  }
  .spin img {
    max-width: 110px;
  }
  .counter {
    width: auto;
    justify-content: space-between;
    padding: 0 24px;
  }
  .chest {
    padding: 20px;
  }
  .win_grain img {
    max-width: 175px !important;
    bottom: 8px;
  }
  .win-wrapper #win {
    max-width: calc(100% - 24px);
    left: 50%;
    top: 5%;
    transform: translateX(-50%);
    height: 500px;
  }
}
